Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# ImageCodecInterface Class Reference

The ImageCodecInterface class allows for pluggable image formats. More...

`#include <qtopia/imagecodecinterface.h>`

List of all member functions.

## Public Members

- virtual QStringList keys () const = 0
- virtual bool installIOHandler ( const QString & format ) = 0

## Detailed Description

The ImageCodecInterface class allows for pluggable image formats.

## Member Function Documentation

### bool ImageCodecInterface::installIOHandler ( const QString & format )`[pure virtual]`

Installs a Qt image IO handler (see QImageIO::defineIOHandler()) for the named format. Returns TRUE is successful.

### QStringList ImageCodecInterface::keys () const`[pure virtual]`

Returns the list of formats supported by the codec.

The format names should be the typical filename extensions of images in the format.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.